Subject: bug#12915: 24.2.50; Visiting a file via drag-and-drop should add it to the history of visited files

From: Dani Moncayo <[email-masked]>
Date: Sat, 17 Nov 2012 22:37:36 +0100

>> Please, when a file is visited via drag-and-drop, add that file to the
>> history of visited files (so that I can revisit it with `C-x C-f M-p',
>> for example).  I don't see the point of not doing that.
>
> On a related note, I've always found it irritating that the same is true
> of files specified on the command line:
>
> emacs -Q README &
> C-x C-k README RET
> C-x C-f M-p
>   -> "Beginning of history; no preceding item"

Indeed.  The history of visited files should contain every visited
file, regardless of the way it was visited (command line argument,
drag-n-drop, menu item, C-x C-f...)

-- 
Dani Moncayo